.checkbox-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    width: fit-content;
    cursor: pointer;
    font-size: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    color: var(--essens-blue);

    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

    input:checked ~ .checkmark {
        background-color: var(--essens-blue);
    }
    input.invalid ~ .checkmark {
        border-color: red;
    }
    input.invalid ~ * {
        color: red;
    }

    input:checked ~ .checkmark:after {
        display: block;
    }

    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 25px;
        width: 25px;
        border: 2px solid var(--essens-blue);
        border-radius: 3px;
        background-color: white;
    }
    .checkmark:after {
        content: "";
        position: absolute;
        display: none;
        left: 7px;
        top: 3px;
        width: 7px;
        height: 12px;
        border: solid white;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }
}

#top-alerts-wrap {
    width: calc(66% + min(33%, 475px) + calc(var(--bs-gutter-x) * .5));
}


#shippingIframesModal {
    label {
        display: inline-block;
        max-width: 100%;
        margin-bottom: 5px;
        margin-top: 5px;
        font-weight: bold;
    }

    .text-left {
        text-align: left;
    }

    .btn-block {
        display: block;
        width: 100%;
        border-radius: 0;
    }

    .ru-post-shipping {
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media (min-width: 768px) {
    #shippingIframesModal {
        .col-md-offset-3 {
            margin-left: 25%;
        }
    }
}

#delivery-wrap .form-check-input,
#home-delivery-wrap .form-check-input,
#payment-wrap .form-check-input,
#insurance-wrap .form-check-input
{
    margin-top: 0;
    margin-right: 3px;
    width: 1.5em;
    min-width: 1.5em;
    height: 1.5em;
    background-color: var(--essens-light-blue);
    border-color: var(--essens-light-darker-blue);
}

#delivery-wrap .form-check-input:checked,
#home-delivery-wrap .form-check-input:checked,
#payment-wrap .form-check-input:checked,
#insurance-wrap .form-check-input:checked
{
    background-color: var(--essens-blue);
    border-color: var(--essens-blue);
}
#home-delivery-wrap {
    flex-direction: column;
}
#delivery-wrap .input-wrap.disabled,
#home-delivery-wrap .input-wrap.disabled {
    color: darkgrey;
}

.alert-collapse-arrow {
    transition: .3s;
}
.collapsed .alert-collapse-arrow {
    rotate: 180deg;
}